<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'tornados_tribe_events_get_css' ) ) {
	add_filter( 'tornados_filter_get_css', 'tornados_tribe_events_get_css', 10, 2 );
	function tornados_tribe_events_get_css( $css, $args ) {
		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
			
.tribe-events-list .tribe-events-list-event-title {
	{$fonts['h3_font-family']}
}

#tribe-events .tribe-events-button,
.tribe-events-button,
.tribe-events-cal-links a,
.tribe-events-sub-nav li a {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}

.tribe-common .tribe-common-c-btn-border-small, 
.tribe-common a.tribe-common-c-btn-border-small,
.tribe-events .tribe-events-c-view-selector__list-item-text,
.tribe-common .tribe-events-c-search__button,
#tribe-bar-form button, #tribe-bar-form a,
.tribe-events-read-more {
	{$fonts['button_font-family']}
	{$fonts['button_letter-spacing']}
}
.tribe-events-schedule, .tribe-events-schedule h2,
.tribe-common .tribe-common-h1, 
.tribe-common .tribe-common-h2,
.tribe-common .tribe-common-h3,
.tribe-common .tribe-common-h4, 
.tribe-common .tribe-common-h5,
.tribe-common .tribe-common-h6,
.tribe-common .tribe-common-h7,
.tribe-common .tribe-common-h8 {
	{$fonts['h5_font-family']}
}
#tribe-bar-form input, #tribe-events-content.tribe-events-month,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title,
#tribe-mobile-container .type-tribe_events,
.tribe-events-list-widget ol li .tribe-event-title {
	{$fonts['p_font-family']}
}
.tribe-events-loop .tribe-event-schedule-details,
.single-tribe_events #tribe-events-content .tribe-events-event-meta dt,
#tribe-mobile-container .type-tribe_events .tribe-event-date-start {
	{$fonts['info_font-family']};
}

.tribe-events .tribe-events-c-top-bar__datepicker-button {
	{$fonts['h5_font-family']}
	{$fonts['h5_font-weight']}
	{$fonts['h5_font-style']}
	{$fonts['h5_text-decoration']}
	{$fonts['h5_text-transform']}
	{$fonts['h5_letter-spacing']}
}

.tribe-common--breakpoint-medium.tribe-events .tribe-events-calendar-day__event-title {
	{$fonts['h3_font-family']}
	{$fonts['h3_font-weight']}
	{$fonts['h3_font-style']}
	{$fonts['h3_text-decoration']}
	{$fonts['h3_text-transform']}
	{$fonts['h3_letter-spacing']}
}
.tribe-common .tribe-common-b2,
.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input, 
.tribe-common .tribe-common-form-control-text__input,
.tribe-common--breakpoint-medium.tribe-events .tribe-events-calendar-list__event-datetime-wrapper,
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-datetime,
.tribe-common--breakpoint-medium.tribe-events .tribe-events-calendar-day__event-venue,
.tribe-common--breakpoint-medium.tribe-events .tribe-events-calendar-day__event-datetime-wrapper {
	{$fonts['p_font-family']}
}
.tribe-events .tribe-events-calendar-day__type-separator-text,
.tribe-events .tribe-events-calendar-list__month-separator-text {
	{$fonts['h5_font-family']}
	{$fonts['h6_font-size']}
	{$fonts['h5_font-weight']}
	{$fonts['h5_font-style']}
	{$fonts['h6_line-height']}
	{$fonts['h5_text-decoration']}
	{$fonts['h5_text-transform']}
	{$fonts['h6_letter-spacing']}
}
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-title,
.tribe-common--breakpoint-medium.tribe-common .tribe-common-h4,
.tribe-common--breakpoint-medium.tribe-common .tribe-common-h4--min-medium {
	{$fonts['h5_font-family']}
	{$fonts['h5_font-weight']}
	{$fonts['h5_font-style']}
	{$fonts['h5_text-decoration']}
	{$fonts['h5_text-transform']}
	{$fonts['h5_letter-spacing']}
}

.tribe-common.tribe-events .tribe-common-c-btn.tribe-events-c-search__button{
    {$fonts['button_font-family']}
    {$fonts['button_font-weight']}
    {$fonts['button_text-transform']}
}

.tribe-events .tribe-events-calendar-list__event-date-tag-weekday{
    {$fonts['button_font-family']}
}

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS


CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

/* Filters bar */
#tribe-bar-form {
	color: {$colors['text_dark']};
}
#tribe-bar-form input[type="text"] {
	color: {$colors['input_text']};
	border-color: {$colors['input_bd_color']} !important;
}
#tribe-bar-form input[type="text"]:focus {
    color: {$colors['input_dark']};
    border-color: {$colors['input_bd_hover']} !important;
}

.datepicker thead tr:first-child th:hover, .datepicker tfoot tr th:hover {
	color: {$colors['text_link']};
	background: {$colors['text_dark']};
}

/* Content */
.tribe-events-calendar thead th {
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']} !important;
}
.tribe-events-calendar thead th + th:before {
	background: {$colors['extra_bd_color']};
}
#tribe-events-content .tribe-events-calendar td,
#tribe-events-content .tribe-events-calendar th {
	border-color: {$colors['alter_bd_color']} !important;
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"],
.tribe-events-calendar td div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_dark']};
}
.tribe-events-calendar td.tribe-events-othermonth {
	color: {$colors['alter_light']};
	background: {$colors['alter_bd_hover']} !important;
}
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text']};
}
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_light']};
}
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_link']};
}
.tribe-events-calendar td.tribe-events-present:before {
	border-color: {$colors['text_link']};
}
.tribe-events-calendar .tribe-events-has-events:after {
	background-color: {$colors['text']};
}
.tribe-events-calendar .mobile-active.tribe-events-has-events:after {
	background-color: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar td,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a {
	color: {$colors['text']};
}
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a:hover {
	color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active,
#tribe-events-content .tribe-events-calendar td.mobile-active:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active div[id*="tribe-events-daynum-"] {
	background-color: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active div[id*="tribe-events-daynum-"] a,
.tribe-events-calendar .mobile-active div[id*="tribe-events-daynum-"] a {
	background-color: transparent;
	color: {$colors['bg_color']};
}
.events-archive.events-gridview #tribe-events-content table .type-tribe_events {
	border-color: {$colors['alter_bd_color']};
}
#tribe-mobile-container .type-tribe_events~.type-tribe_events {
    border-color: {$colors['bd_color']};
}

.tribe-common .tribe-common-h1, 
.tribe-common .tribe-common-h2,
.tribe-common .tribe-common-h3,
.tribe-common .tribe-common-h4, 
.tribe-common .tribe-common-h5,
.tribe-common .tribe-common-h6,
.tribe-common .tribe-common-h7,
.tribe-common .tribe-common-h8,
.tribe-common .tribe-common-h1 > *, 
.tribe-common .tribe-common-h2 > *,
.tribe-common .tribe-common-h3 > *,
.tribe-common .tribe-common-h4 > *, 
.tribe-common .tribe-common-h5 > *,
.tribe-common .tribe-common-h6 > *,
.tribe-common .tribe-common-h7 > *,
.tribe-common .tribe-common-h8 > * {
    color: {$colors['text_dark']};
    border: none;
}

.tribe-events .tribe-events-calendar-month__multiday-event-bar,
.tribe-events .tribe-events-calendar-month__multiday-event-bar-inner {
	background: {$colors['bg_color']};
}

.tribe-events .tribe-events-calendar-month__mobile-events-icon--event {
    background: {$colors['text_link']};
}

/* Tooltip */
.recurring-info-tooltip,
.tribe-events-calendar .tribe-events-tooltip,
.tribe-events-week .tribe-events-tooltip,
.tribe-events-shortcode.view-week .tribe-events-tooltip,
.tribe-events-tooltip .tribe-events-arrow {
	color: {$colors['alter_text']};
	background: {$colors['alter_bg_color']};
	border-color: {$colors['alter_bd_color']};
}
#tribe-events-content .tribe-events-tooltip .summary { 
	color: {$colors['bg_color']};
	background: {$colors['extra_bg_color']};
}
.tribe-events-tooltip .tribe-event-duration {
	color: {$colors['extra_dark']};
}
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] {
    color: {$colors['text_link']} !important;
}

/* Events list */
.tribe-events-list-separator-month {
	color: {$colors['text_dark']};
}
.tribe-events-list-separator-month:after {
	border-color: {$colors['bd_color']};
}
.tribe-events-list .type-tribe_events + .type-tribe_events,
.tribe-events-day .tribe-events-day-time-slot + .tribe-events-day-time-slot + .tribe-events-day-time-slot {
	border-color: {$colors['bd_color']};
}
.tribe-events-list-separator-month span {
	background-color: {$colors['bg_color']};	
}
.tribe-events-list .tribe-events-event-cost span {
	color: {$colors['inverse_link']};
	border-color: {$colors['text_link']};
	background: {$colors['text_link']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_color']};
	background-color: {$colors['alter_bg_color']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a {
	color: {$colors['alter_link']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a:hover {
	color: {$colors['alter_hover']};
}
.tribe-mobile .tribe-events-list .tribe-events-venue-details {
	border-color: {$colors['alter_bd_color']};
}

.single-tribe_events #tribe-events-footer,
.tribe-events-day #tribe-events-footer,
.events-list #tribe-events-footer,
.tribe-events-map #tribe-events-footer,
.tribe-events-photo #tribe-events-footer {
	border-color: {$colors['bd_color']};	
}

/* Events day */
.tribe-events-day .tribe-events-day-time-slot h5,
.tribe-events-day .tribe-events-day-time-slot .tribe-events-day-time-slot-heading {
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']};
}



/* Single Event */
.single-tribe_events .tribe-events-venue-map {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_hover']};
	background: {$colors['alter_bg_hover']};
}
.single-tribe_events .tribe-events-schedule .tribe-events-cost {
	color: {$colors['text_dark']};
}
.single-tribe_events .type-tribe_events {
	border-color: {$colors['bd_color']};
}

.tribe-events .tribe-events-calendar-month__day-date-daynum {
    color: {$colors['text_dark']};
}



.tribe-bar-submit:before,
.tribe-bar-mini .tribe-bar-submit:before {
    color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
.tribe-bar-submit:hover:before,
.tribe-bar-mini .tribe-bar-submit:hover:before {
    color: {$colors['inverse_hover']};
	background-color: {$colors['text_dark']};
}


#tribe-bar-views-toggle,
#tribe-bar-views .tribe-bar-views-option {
    color: {$colors['input_text']} !important;
	border-color: {$colors['input_bd_color']} !important;
	background-color: {$colors['input_bg_color']} !important;
}
#tribe-bar-views-toggle:hover,
#tribe-bar-views .tribe-bar-views-option:hover {
    color: {$colors['input_dark']} !important;
    border-color: {$colors['input_bd_hover']} !important;
}

#tribe-events-content .tribe-events-calendar td {
    background-color: {$colors['alter_bd_hover']};
}

.tribe-events-calendar td.tribe-events-othermonth.tribe-events-future div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-othermonth.tribe-events-future div[id*="tribe-events-daynum-"] > a,
.tribe-events-calendar td div[id*="tribe-events-daynum-"], 
.tribe-events-calendar td div[id*="tribe-events-daynum-"] > a, 
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"], 
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] > a, 
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"], 
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"] > a {
    background-color: {$colors['alter_bg_hover']};
    color: {$colors['text_dark']};
}
.tribe-events-calendar td.tribe-events-othermonth.tribe-events-future div[id*="tribe-events-daynum-"] > a {
     color: {$colors['text']};
}

.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"] {
    color: {$colors['text']};
}

.single-tribe_events #tribe-events-content .tribe-events-event-meta dt {
    color: {$colors['text']};
}

.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-next a, 
.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-previous a,
.tribe-event-tags,
.tribe-events-sub-nav li a {
    color: {$colors['text_link']};
}
.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-next a:hover, 
.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-previous a:hover,
.tribe-events-sub-nav li a:hover {
    color: {$colors['text_hover']};
}

#tribe-bar-form.tribe-bar-collapse #tribe-bar-collapse-toggle {
    color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
#tribe-bar-form.tribe-bar-collapse #tribe-bar-collapse-toggle:hover {
    color: {$colors['inverse_hover']};
	background-color: {$colors['text_dark']};
}

.datepicker table tr td.active.active:hover, .datepicker table tr td span.active.active:hover {
    color: {$colors['inverse_link']};
}
.tribe-common .tribe-common-c-loader .tribe-common-c-loader__dot,
.tribe-events .datepicker .day.active, 
.tribe-events .datepicker .day.active.focused, 
.tribe-events .datepicker .day.active:focus, 
.tribe-events .datepicker .day.active:hover, 
.tribe-events .datepicker .month.active, 
.tribe-events .datepicker .month.active.focused, 
.tribe-events .datepicker .month.active:focus, 
.tribe-events .datepicker .month.active:hover, 
.tribe-events .datepicker .year.active, 
.tribe-events .datepicker .year.active.focused, 
.tribe-events .datepicker .year.active:focus, 
.tribe-events .datepicker .year.active:hover {
    background-color: {$colors['text_link']};
}



#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active div[id*=tribe-events-daynum-] {
    color: {$colors['text_dark']};
}
.tribe-events-calendar td.tribe-events-othermonth.mobile-active.mobile-active.tribe-events-has-events:after {
    background-color: {$colors['text_link']};
}

.tribe-events .tribe-events-calendar-month__day-cell--selected .tribe-events-calendar-month__mobile-events-icon--event {
    background-color: {$colors['text_link2']};
}


.tribe-events .tribe-events-calendar-month__day-cell--selected .tribe-events-calendar-month__day-date {
    color: {$colors['text_link']};
}

.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-datetime,
.tribe-events .tribe-events-calendar-day__event-datetime,
.tribe-events .tribe-events-calendar-list__event-datetime,
.tribe-common address.tribe-common-b2{
	color: {$colors['text_link']};
}

.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-title-link,
.tribe-events .tribe-events-calendar-day__event-title-link,
.tribe-events .tribe-events-calendar-list__event-title-link {
	color: {$colors['text_dark']};
}

.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-title-link:hover,
.tribe-events .tribe-events-calendar-day__event-title-link:hover,
.tribe-events .tribe-events-calendar-list__event-title-link:hover {
	color: {$colors['text_link']};
}

.tribe-events-calendar-list h2,
.tribe-events-calendar-list h2 > * {
    color: {$colors['text_dark']};
}
.tribe-events .tribe-events-calendar-list__event-date-tag-weekday {
    color: {$colors['text']};
}
.tribe-events .tribe-events-calendar-list__event-date-tag-daynum {
    color: {$colors['text_dark']};
}
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-description{
	color: {$colors['text']};
}

.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button.tribe-events-c-subscribe-dropdown__button--active, 
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus, 
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus-within, 
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:hover {
	color: {$colors['inverse_hover']};
	background-color: {$colors['text_dark']};
}

.tribe-events-c-events-bar li a,
.tribe-events-c-events-bar li a * {
    color: {$colors['text_dark']};
}
.tribe-events-c-events-bar li a:hover {
    opacity: 0.8;
}

.tribe-events .tribe-events-calendar-month__day .tribe-events-calendar-month__day-date-link {
    color:  {$colors['text_dark']};
}

.single-tribe_events .tribe-events-meta-group .tribe-events-single-section-title {
    color:  {$colors['text_dark']};
}

/* DatePicker */
.tribe-events .datepicker {
	background-color: {$colors['bg_color']};
}
.tribe-events .datepicker .dow {
	color: {$colors['text_dark']};
}
.tribe-events .datepicker .datepicker-switch {
	color: {$colors['text_dark']};
}
.tribe-events .datepicker .datepicker-switch:active {
	color: {$colors['text_dark']};
}
.tribe-events .datepicker .datepicker-switch:active,
.tribe-events .datepicker .datepicker-switch:focus,
.tribe-events .datepicker .datepicker-switch:hover,
.tribe-events .datepicker .next:active,
.tribe-events .datepicker .next:focus,
.tribe-events .datepicker .next:hover,
.tribe-events .datepicker .prev:active,
.tribe-events .datepicker .prev:focus,
.tribe-events .datepicker .prev:hover {
	background-color: {$colors['bg_color']};
}
.tribe-events .datepicker .prev,
.tribe-events .datepicker .next {
	color: {$colors['text_dark']};
}
.tribe-events .datepicker .day.past,
.tribe-events .datepicker .month.past,
.tribe-events .datepicker .year.past {
	color: {$colors['alter_text']};
}
.tribe-events .datepicker .month,
.tribe-events .datepicker .year,
.tribe-events .datepicker .day {
	color: {$colors['text_dark']};
}
.tribe-events .datepicker .day.focused,
.tribe-events .datepicker .day:focus,
.tribe-events .datepicker .day:hover,
.tribe-events .datepicker .month.focused,
.tribe-events .datepicker .month:focus,
.tribe-events .datepicker .month:hover,
.tribe-events .datepicker .year.focused,
.tribe-events .datepicker .year:focus,
.tribe-events .datepicker .year:hover {
	background-color: {$colors['alter_bg_color']};
}
.tribe-events .datepicker tbody tr:nth-child(2n-1) .day:not(.current).focused,
.tribe-events .datepicker tbody tr:nth-child(2n-1) .day:not(.current):focus,
.tribe-events .datepicker tbody tr:nth-child(2n-1) .day:not(.current):hover {
	background-color: {$colors['alter_bg_hover']};
}

.tribe-events .datepicker .day.current,
.tribe-events .datepicker .day.current.focused,
.tribe-events .datepicker .day.current:focus,
.tribe-events .datepicker .day.current:hover,
.tribe-events .datepicker .month.current,
.tribe-events .datepicker .month.current.focused,
.tribe-events .datepicker .month.current:focus,
.tribe-events .datepicker .month.current:hover,
.tribe-events .datepicker .year.current,
.tribe-events .datepicker .year.current.focused,
.tribe-events .datepicker .year.current:focus,
.tribe-events .datepicker .year.current:hover {
	color: {$colors['alter_dark']};
	background: {$colors['alter_bg_color']};
}
.tribe-events .datepicker .day.active,
.tribe-events .datepicker .day.active.focused,
.tribe-events .datepicker .month.active,
.tribe-events .datepicker .month.active.focused,
.tribe-events .datepicker .year.active,
.tribe-events .datepicker .year.active.focused {
	color: {$colors['inverse_link']};
	background: {$colors['text_link']};
}
.tribe-events .datepicker .day.active:hover,
.tribe-events .datepicker .day.active:focus,
.tribe-events .datepicker .month.active:hover,
.tribe-events .datepicker .month.active:focus,
.tribe-events .datepicker .year.active:hover,
.tribe-events .datepicker .year.active:focus {
	background-color: {$colors['text_hover']};
	color: {$colors['inverse_text']};
}
.tribe-events .datepicker .day.current:hover,
.tribe-events .datepicker .day.current:focus,
.tribe-events .datepicker .month.current:hover,
.tribe-events .datepicker .month.current:focus,
.tribe-events .datepicker .year.current:hover,
.tribe-events .datepicker .year.current:focus {
	background-color: {$colors['text_link']};
	color: {$colors['inverse_text']};
}
.datepicker .datepicker-switch:hover,
.datepicker .next:hover,
.datepicker .prev:hover,
.datepicker tfoot tr th:hover {
	background: {$colors['extra_bg_color']};
}
.datepicker.dropdown-menu {
	color: var(--theme-color-text);
	background-color: {$colors['bg_color']};
}
.datepicker-dropdown.datepicker-orient-top:before {
	border-top-color: {$colors['bg_color']};
}
.datepicker-dropdown.datepicker-orient-top:after {
	border-top-color: {$colors['bg_color']};
}
.datepicker table tr td span.focused, .datepicker table tr td span:hover {
	background: {$colors['alter_bg_color']};
}
.datepicker table tr td.day.focused, .datepicker table tr td.day:hover {
	background: {$colors['alter_bg_color']};
}
.datepicker table tr td span.active.active,
.datepicker table tr td span.active.disabled,
.datepicker table tr td span.active.disabled.active,
.datepicker table tr td span.active.disabled.disabled,
.datepicker table tr td span.active.disabled:active,
.datepicker table tr td span.active.disabled:hover,
.datepicker table tr td span.active.disabled:hover.active,
.datepicker table tr td span.active.disabled:hover.disabled,
.datepicker table tr td span.active.disabled:hover:active,
.datepicker table tr td span.active.disabled:hover:hover,
.datepicker table tr td span.active.disabled:hover[disabled],
.datepicker table tr td span.active.disabled[disabled],
.datepicker table tr td span.active:active,
.datepicker table tr td span.active:hover,
.datepicker table tr td span.active:hover.active,
.datepicker table tr td span.active:hover.disabled,
.datepicker table tr td span.active:hover:active,
.datepicker table tr td span.active:hover:hover,
.datepicker table tr td span.active:hover[disabled],
.datepicker table tr td span.active[disabled] {
	color: {$colors['inverse_text']};
	background-color: {$colors['text_link']}
}
.datepicker table tr td.active.active,
.datepicker table tr td.active.disabled,
.datepicker table tr td.active.disabled.active,
.datepicker table tr td.active.disabled.disabled,
.datepicker table tr td.active.disabled:active,
.datepicker table tr td.active.disabled:hover,
.datepicker table tr td.active.disabled:hover.active,
.datepicker table tr td.active.disabled:hover.disabled,
.datepicker table tr td.active.disabled:hover:active,
.datepicker table tr td.active.disabled:hover:hover,
.datepicker table tr td.active.disabled:hover[disabled],
.datepicker table tr td.active.disabled[disabled],
.datepicker table tr td.active:active,
.datepicker table tr td.active:hover,
.datepicker table tr td.active:hover.active,
.datepicker table tr td.active:hover.disabled,
.datepicker table tr td.active:hover:active,
.datepicker table tr td.active:hover:hover,
.datepicker table tr td.active:hover[disabled],
.datepicker table tr td.active[disabled] {
	color: {$colors['inverse_text']};
	background-color: {$colors['text_link']}
}

.tribe-events .tribe-events-c-view-selector__button:before{
    background-color: {$colors['text_link']}
}

.tribe-common.tribe-events .tribe-events-calendar-list__event-datetime-featured-text,
.tribe-common.tribe-events .tribe-events-calendar-list__event-datetime-featured-icon .tribe-common-c-svgicon{
    color: {$colors['text_hover']}
}

.tribe-events .tribe-events-calendar-list__event-row--featured .tribe-events-calendar-list__event-date-tag-datetime:after{
    background-color: {$colors['text_hover']}
}

.tribe-common.tribe-events .tribe-common-c-svgicon{
    color: {$colors['text_link']};
}

.tribe-common.tribe-events .tribe-events-c-subscribe-dropdown .tribe-common-c-svgicon{
    color: {$colors['inverse_link']};
}

.tribe-common.tribe-events .tribe-events-calendar-month-mobile-events__mobile-event-datetime-featured-text{
    color: {$colors['text_link']};
}

.tribe-common.tribe-events .tribe-events-calendar-month__day-cell--selected .tribe-common-c-svgicon path{
    fill: {$colors['text_hover']};
}

.tribe-common.tribe-events .tribe-events-calendar-day__event-datetime-featured-text{
    color: {$colors['text_hover']};
}

.tribe-common.tribe-events .tribe-events-calendar-day__event--featured:after{
    background-color: {$colors['text_hover']}
}

CSS;
		}

		return $css;
	}
}

